Bug 189041 - Review Request: perl-IPC-Cmd
Review Request: perl-IPC-Cmd
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT 189042 189043 189048
  Show dependency treegraph
 
Reported: 2006-04-14 19:49 EDT by Steven Pritchard
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-04-21 17:39:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steven Pritchard 2006-04-14 19:49:31 EDT
Spec URL: http://ftp.kspei.com/pub/steve/rpms/perl-IPC-Cmd/perl-IPC-Cmd.spec
SRPM URL: http://ftp.kspei.com/pub/steve/rpms/perl-IPC-Cmd-0.24-1.src.rpm
Description:
IPC::Cmd allows you to run commands, interactively if desired, platform
independent but have them still work.
Comment 1 Jason Tibbitts 2006-04-15 00:08:27 EDT
* package meets naming and packaging guidelines.
* specfile is properly named, is cleanly written, uses macros consistently and
conforms to the Perl template.
* license field matches the actual license.
* license is open source-compatible.  It's not included separately in the
package, but this is not necessary as the upstream tarball does not include it.
* source files match upstream:
   9061bd187defad873432f91fa6de9f9b  IPC-Cmd-0.24.tar.gz
   9061bd187defad873432f91fa6de9f9b  IPC-Cmd-0.24.tar.gz-srpm
* BuildRequires are proper.
* package builds in mock.
* rpmlint is silent.
* final provides and requires are sane.
* no shared libraries are present.
* package is not relocatable.
* owns the directory it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* %clean is present.
* %check is present and all tests pass.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no libtool .la droppings.
* not a GUI app.

APPROVED
Comment 2 Steven Pritchard 2006-04-21 17:39:28 EDT
Imported, branches created, and builds requested.

Note You need to log in before you can comment on or make changes to this bug.